#include<iostream>

using namespace std;

int main(){

ios_base::sync_with_stdio(false);
cin.tie(NULL);
cout.tie(NULL);

long long i,t,n,k,m,brojupita;
	
cin >> t;	
	
//n-deca
//m-banane
//k-grupe	
	
unsigned long long a,b,c;	
unsigned long long u1,u2;	
	
for(brojupita=0;brojupita<t;brojupita++){	
	
cin >> n >> m >> k;

c=n/k;
a=n%k;
b=k-a;

//cout << c << " " << a << " " << b << "\n";
 
//a onih koji ce da imaju c+1	
//b onih koji ce da imaju c
// za a -> (c+1)*(c+2)/2

if((c+1)%2==0)
u1=((c+1)/2)*(c+2);
else
u1=((c+2)/2)*(c+1);	
	
u1=u1*a;	
	
if((c)%2==0)
u2=((c)/2)*(c+1);
else
u2=((c+1)/2)*(c);	
	
u2=u2*b;		
	
if(u1+u2<=m)
cout << "Tak" << '\n';
else
cout << "Nie" << '\n';	
	
}
	
	
	
	
	return 0;
}